Share via


Delete Chat Thread - Delete Chat Thread

Deletes a thread.

DELETE {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2

URI Parameters

Name In Required Type Description
chatThreadId
path True

string

Thread id to delete.

endpoint
path True

string

The endpoint of the Azure Communication resource.

api-version
query True

string

Version of API to invoke.

Request Header

Name Required Type Description
Authorization True

string

An ACS (Azure Communication Services) user access token.

Responses

Name Type Description
204 No Content

Request successful.

401 Unauthorized

Error

Unauthorized

403 Forbidden

Error

Forbidden

429 Too Many Requests

Error

Too many requests

Other Status Codes

Error

Service unavailable

Security

Authorization

An ACS (Azure Communication Services) user access token.

Type: apiKey
In: header

Examples

Delete chat thread

Sample request

DELETE https://contoso.westus.communications.azure.com/chat/threads/19:9525281ac1f947fc884bcee1a9f983c2@thread.v2?api-version=2020-09-21-preview2

Sample response

{
  "code": "Unauthorized",
  "message": "Request is not authorized."
}
{
  "code": "Forbidden",
  "message": "User is not allowed to perform specified action."
}
{
  "code": "TooManyRequests",
  "message": "Rate limit exceeded."
}
{
  "code": "ServiceUnavailable",
  "message": "The server is currently unable to handle the request."
}

Definitions

Error

Name Type Description
code

string

innerErrors

Error[]

message

string

target

string